Subject: Re: linux-next: build failure after merge of the hmm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 3 Sep 2019 15:42:32 +1000

Hi Dan,

On Mon, 2 Sep 2019 22:31:00 -0700 Dan Williams <[email-masked]> wrote:
>
> On Mon, Sep 2, 2019 at 4:45 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi Jason,
> >
> > On Mon, 2 Sep 2019 10:51:41 +0000 Jason Gunthorpe <[email-masked]> wrote:  
> > >
> > > On Mon, Sep 02, 2019 at 08:50:17PM +1000, Stephen Rothwell wrote:  
> > >  
> > > > ERROR: "nd_region_provider_data" [drivers/acpi/nfit/nfit.ko] undefined!
> > > > ERROR: "to_nd_blk_region" [drivers/acpi/nfit/nfit.ko] undefined!
> > > > ERROR: "nvdimm_region_notify" [drivers/acpi/nfit/nfit.ko] undefined!
> > > > ERROR: "nvdimm_blk_region_create" [drivers/acpi/nfit/nfit.ko] undefined!
> > > >
> > > > Caused by commit
> > > >
> > > >   126470c8a58b ("libnvdimm: Enable unit test infrastructure compile checks")
> > > >
> > > > I have reverted that commit for today.  
> > >
> > > Looks like more kconfig trouble, can you send Dan your kconfig? I'll
> > > drop this patch again
> > >  
> >
> > Thanks.  It was just an x86_64 allmodconfig build.  I don't actually
> > have the .config file (it gets cleaned up, sorry).  
> 
> Strange. x86_64 allmodconfig is certainly a 0day build target. Could
> this be toolchain dependent?

Possible, I guess.  I am cross compiling on a PowerPC LE host

$ x86_64-linux-gnu-gcc --version
x86_64-linux-gnu-gcc (Debian 9.2.1-4) 9.2.1 20190821

$ x86_64-linux-gnu-ld --version
GNU ld (GNU Binutils for Debian) 2.32.51.20190821

It could also be an interaction with something else in linux-next.
-- 
Cheers,
Stephen Rothwell